/* File:     Stone.h
 * Author:   MJW
 * Date:     31.03.2006
 * Modified: 31.03.2006
 *
 * Purpose: Headerdatei zur Klasse Stone
 */

#ifndef STONE_HEADER
#define STONE_HEADER


#include <iostream>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>

#include "BasicInfo.h"

using namespace std;

class PaeSheep;

class Stone{
  private:
    float pos[3]; //wo ist die kamera

  public:
    Stone(void);            //standardkonstruktor
    void Draw(void);

	void SetPosition(float x, float y, float z);

    BasicInfo *SheepInfo(PaeSheep *the_sheep);
};

#endif // STONE_HEADER

